## dde-services 1.0.6

=== debian/changelog ===
dde-services (1.0.6) unstable; urgency=medium

  * fix: Unable to rotate newly added images
  * fix: m_curMonitorSpace should be initialized in advance
  * fix: 修复系统预装QT应用问题

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 12 Mar 2025 13:38:55 +0800

dde-services (1.0.5) unstable; urgency=medium

  * chore: adapt to Qt6.8

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 06 Mar 2025 19:41:54 +0800

dde-services (1.0.4) unstable; urgency=medium

  * chore: update custom solidwallpapers path
  * chore: adapt wallpaper slideshow

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 16:01:54 +0800

dde-services (1.0.3) unstable; urgency=medium

  * feat: 新增thememanager的qt服务

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Feb 2025 19:44:47 +0800

dde-services (1.0.2) unstable; urgency=medium

  * feat: 项目调整，名称变更，删除oom模块

 -- fuleyi <fuleyi@uniontech.com>  Tue, 11 Feb 2025 10:48:32 +0800

deepin-service-plugins (1.0.1) unstable; urgency=medium

  * chore: fix license check

 -- fuleyi <fuleyi@uniontech.com>  Thu, 24 Oct 2024 13:20:15 +0800

deepin-service-plugins (1.0.0) unstable; urgency=medium

  * Initial release. 

 -- fuleyi <fuleyi@uniontech.com>  Mon, 14 Oct 2024 13:48:23 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export QT_SELECT = qt6

PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER) -DCMAKE_CXX_FLAGS="-Wl,--as-needed"

## dde-services 1.0.7

=== src/plugin-qt/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory("thememanager")
add_subdirectory("wallpaperslideshow")

=== debian/changelog ===
dde-services (1.0.7) unstable; urgency=medium

  * refactor: optimize build system security flags

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:04 +0800

## dde-services 1.0.8

=== debian/changelog ===
dde-services (1.0.8) unstable; urgency=medium

  * fix: add time-based sorting for wallpaper files

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:28 +0800

## dde-services 1.0.10

=== debian/changelog ===
dde-services (1.0.10) unstable; urgency=medium

  * refactor: replace session ID with D-Bus session path for login
    detection

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:30:55 +0800

dde-services (1.0.9) unstable; urgency=high

  * Chore: add oom-adjust-score plugin

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 21 Aug 2025 21:52:48 +0800

## dde-services 1.0.11

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set (VERSION "1.0.0" CACHE STRING "define project version")

project(dde-services)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

include(GNUInstallDirs)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
# 设置二进制输出目录 方便调试
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")

set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

add_subdirectory("src")

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(SRC_BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    ADD_DEFINITIONS(-DSERVICE_CONFIG_DIR="${CMAKE_BINARY_DIR}/share/")
    ADD_DEFINITIONS(-DSERVICE_LIB_DIR="${CMAKE_BINARY_DIR}/lib/")
else()
    ADD_DEFINITIONS(-DSERVICE_CONFIG_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-service-manager/")
    ADD_DEFINITIONS(-DSERVICE_LIB_DIR="${CMAKE_INSTALL_FULL_LIBDIR}/deepin-service-manager/")
endif()

add_subdirectory("plugin-qt")
add_subdirectory("plugin-sdbus")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory("demo")
endif()

=== src/demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

option(ENABLE_DEMO "Build demo" OFF)

if (ENABLE_DEMO)
    add_subdirectory("plugin-qt")
    add_subdirectory("plugin-sdbus")

    add_subdirectory("libqdbusservice-demo")
endif()

# add_subdirectory("hook-demo")

=== src/plugin-qt/CMakeLists.txt ===
--- 
+++ 
@@ -2,5 +2,6 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
 
+add_subdirectory("OOMScoreAdjust")
 add_subdirectory("thememanager")
 add_subdirectory("wallpaperslideshow")

=== src/plugin-sdbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

option(ENABLE_PLUGIN_IPWATCHD "Build plugin-ipwatchd" ON)

if (ENABLE_PLUGIN_IPWATCHD)
    add_subdirectory("plugin-ipwatchd")
endif()

=== src/demo/hook-demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)

set(SERVER_NAME "demo-server")
add_executable(${SERVER_NAME}
    server.cpp
    server1.h
    server2.h
)

set(CLIENT_NAME "demo-client")
add_executable(${CLIENT_NAME}
    client.cpp
)

target_link_libraries(${SERVER_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

target_link_libraries(${CLIENT_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

ADD_DEFINITIONS(-DNEW_QT)

=== src/demo/libqdbusservice-demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set(BIN_NAME "qdbus-service-demo")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

project(${BIN_NAME})

include(GNUInstallDirs)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)
if (NOT CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
  find_package(deepin-qdbus-service REQUIRED) # just need this in your project
endif()

qt_add_dbus_adaptor(ADAPTER_SOURCES
                     org.deepin.service.sdk.demo.xml
                     service.h
                     Service)

file(GLOB_RECURSE SRCS
  "main.cpp"
  "service.cpp"
)

add_executable(${BIN_NAME}
    ${SRCS}
    ${ADAPTER_SOURCES}
)
if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    set(Service_INCLUDE_DIR ${SRC_BASE_DIR}/libqdbusservice)
    set(Service_LIBRARIES deepin-qdbus-service)
    target_link_directories(${BIN_NAME} PRIVATE
        ${CMAKE_BINARY_DIR}/lib
    )
else()
    # just need this in your project
    set(Service_INCLUDE_DIR ${deepin-qdbus-service_INCLUDE_DIR})
    set(Service_LIBRARIES ${deepin-qdbus-service_LIBRARIES})
    add_definitions(-DSERVICE_CONFIG_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-service-manager/")
endif()

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  ${Service_INCLUDE_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  ${Service_LIBRARIES}
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug") # delete this judgement in your project
    EXECUTE_PROCESS(COMMAND mkdir -p ${CMAKE_BINARY_DIR}/share/other/)
    EXECUTE_PROCESS(COMMAND cp -f ${CMAKE_CURRENT_SOURCE_DIR}/sdk-demo.json ${CMAKE_BINARY_DIR}/share/other/)
else()
    # just need this in your project
    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES sdk-demo.json DESTINATION share/deepin-service-manager/other/)
endif()

install(FILES org.deepin.service.sdk.demo.service DESTINATION share/dbus-1/system-services/)
install(FILES org.deepin.service.sdk.demo.conf
    DESTINATION share/dbus-1/system.d/
)

=== src/demo/plugin-qt/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
add_subdirectory("demo1")
add_subdirectory("demo2")

=== src/demo/plugin-sdbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

# TODO:C compile

add_subdirectory("demo1")

=== src/plugin-qt/OOMScoreAdjust/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.13)

set(BIN_NAME "OOMScoreAdjust")

project(${BIN_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core)

add_library(${BIN_NAME} MODULE
    ${SRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  ${DtkCore_INCLUDE_DIRS}
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  Dtk${DTK_VERSION_MAJOR}::Core
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/OOM-Score-Adjust.json DESTINATION share/deepin-service-manager/system/)
install(FILES org.deepin.service.OOMScoreAdjust.conf DESTINATION share/dbus-1/system.d/)
install(FILES ./configs/oom-score-adjust.desktop DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart/)
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
install(FILES ./configs/org.deepin.service.manager.oom-score-adjust.json DESTINATION share/dsg/configs/org.deepin.service.manager/)
install(FILES ./configs/org.deepin.OOMScoreAdjust.service DESTINATION share/dbus-1/system-services/)

=== src/plugin-qt/thememanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later
cmake_minimum_required(VERSION 3.16)

set(BIN_NAME "plugin-qt-thememanager")

project(${BIN_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Gui Core)

add_library(${BIN_NAME} MODULE
    ${SRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  Dtk${DTK_VERSION_MAJOR}::Core
  Dtk${DTK_VERSION_MAJOR}::Gui
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-thememanager.json DESTINATION share/deepin-service-manager/user/)

=== src/plugin-qt/wallpaperslideshow/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(BIN_NAME "plugin-qt-wallpaperslideshow")

project(${BIN_NAME})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

include(GNUInstallDirs)
file(GLOB_RECURSE SRCS "*.h" "*.cpp")

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Gui Core)

qt_add_dbus_adaptor(ADAPTER_SOURCES
                     org.deepin.dde.WallpaperSlideshow.xml
                     wallpaperslideshow.h
                     WallpaperSlideshow)

add_library(${BIN_NAME} MODULE
    ${SRCS}
    ${ADAPTER_SOURCES}
)

target_include_directories(${BIN_NAME} PUBLIC
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
)

target_link_libraries(${BIN_NAME} PRIVATE
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::DBus
  Dtk${DTK_VERSION_MAJOR}::Core
  Dtk${DTK_VERSION_MAJOR}::Gui
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-qt-wallpaperslideshow.json DESTINATION share/deepin-service-manager/user/)

=== debian/changelog ===
dde-services (1.0.11) unstable; urgency=medium

  * feat: refactor wallpaper slideshow for multi-monitor support

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:46 +0800

=== debian/control ===
Source: dde-services
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:  debhelper (>= 11),
 pkg-config,
 cmake,
 qt6-base-dev,
 libsystemd-dev,
 libpcap-dev,
 libnet-dev,
 libglib2.0-dev,
 libdtk6gui-dev,
 libdtk6core-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin

Package: dde-services
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-service-manager (>= 1.0.5)
Description: deepin desktop-environment plugins service

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export QT_SELECT = qt6
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

PACK_VER = $(shell echo $(DEB_VERSION_UPSTREAM) | awk -F'[+_~-]' '{print $$1}')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER)

## dde-services 1.0.12

=== debian/changelog ===
dde-services (1.0.12) unstable; urgency=medium

  * feat: implement sd_bus_read_dict function

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Nov 2025 19:49:03 +0800
